Bug 1294024 - tex-preview does not provide tex(preview.sty) shortcut
tex-preview does not provide tex(preview.sty) shortcut
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: emacs-auctex (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jonathan Underwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-24 00:20 EST by Elliott Sales de Andrade
Modified: 2016-01-08 15:53 EST (History)
2 users (show)

See Also:
Fixed In Version: emacs-auctex-11.89-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-08 15:53:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elliott Sales de Andrade 2015-12-24 00:20:53 EST
Description of problem:
Unlike most other texlive packages, tex-preview does not Provide the shortcut that those packages provide, such as `tex(preview.sty)`

Version-Release number of selected component (if applicable):
tex-preview-11.89-1.fc23.noarch

Actual results:
$ rpm -q --provides tex-preview
tetex-preview
tex-preview = 11.89-1.fc23

$ sudo dnf install 'tex(preview.sty)'
Last metadata expiration check performed 2:04:26 ago on Wed Dec 23 21:58:10 2015.
No package tex(preview.sty) available.
Error: Unable to find a match.

and it thus must be installed by actual name `sudo dnf install tex-preview`

Expected results:
If the shortcut were added, then `sudo dnf install 'tex(preview.sty)'` would install `tex-preview`.
Comment 1 Fedora Update System 2015-12-28 13:49:33 EST
emacs-auctex-11.89-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3fb97a1a03
Comment 2 Fedora Update System 2015-12-28 19:54:45 EST
emacs-auctex-11.89-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3fb97a1a03
Comment 3 Fedora Update System 2016-01-08 15:53:27 EST
emacs-auctex-11.89-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.